rem a batch file to compile, link and run some of the examples
rem see also the notes in EXAMPLE.DOC
rem make sure your DOS path includes \gnu\bin (where ocg386, etc should be)
rem set osearch=\gnu\o25\libs\

ocg386 inout
olink inout
go32 inout.lko <inout.occ

rem this is a simple explicit demonstration of #USE, also using LOCATE
ocg386 isul
ocg386 convul
call occam callcul

rem example also uses #USE
ocg386 rdstdin
ocg386 inout2
olink inout2
go32 inout2.lko <inout.occ

rem this example uses record types and uses REAL32
rem if you do not have hardware floating point or EMU387, delete the "/i387"
ocg386 intersec /i387
olink intersec
go32 intersec.lko

rem these SC modules are used by later examples
ocg386 echoline
ocg386 readstr
ocg386 rereal32
ocg386 scrnmux
ocg386 ioserver

rem the next 3 examples require keyboard input terminated by '#'
rem they also demonstrate the use of LOCATE.EXE
call occam example1
del err
call occam example2
del err
call occam example3
del err

rem   The following simple highly parallel examples all deadlock
call occam nr-basic /i387
call occam nr-pipe  /i387
call occam nr-bpass /i387

rem  An exercise for the future: rewrite ioserver so these do not deadlock!

rem  Environment enquiries using spserver for "host" access
ocg386 ex21h
olink ex21h
go32 ex21h.lko and some more

rem  Lecture simulation from TDS3
ocg386 ddisp
ocg386 lectroom /i387
ocg386 lect5 /i387
olink lect5 /m /y
go32 lect5.lko <bcs.occ

rem the following examples show that real programs on the PC may be in occam
ocg386 locate
olink locate
go32 nr-basic.lko
go32 locate.lko
ocg386 just386 /i387
olink just386
go32 just386.lko \gnu\oc\license.txt
